Skip to content
Documentation
Explore guides

For administrators

Teams

List, create, show, and update teams in the company.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all teams

GET /api/v3/teams

Results are paginated. Pass page to move through pages of 100 records.

Response 200

[
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "name": "team name",
    "total_employees": 4
  },
  {
    "id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "name": "team name2",
    "total_employees": 8
  }
]

Create a team

POST /api/v3/teams

Request

{
  "name": "new team"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "new team",
  "total_employees": 0
}

Show a team

GET /api/v3/teams/{team_id}

Parameter Type Description
team_id string (UUID) Team id.

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "team name",
  "total_employees": 4
}

Update a team

PUT /api/v3/teams/{team_id}

Request

{
  "name": "updated team name"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "updated team name",
  "total_employees": 4
}